More
referral
Increase your income with Hive. Invite your friends and earn real cryptocurrency!

Error running hive-upgrade.sh in PXE server

Hi,
when trying to upgrade the ramfs image for PXE booting I’m having some errors:

Upgrading HiveOS FS

Extract Hive FS to tmp dir
238MiB 0:00:20 [11.8MiB/s] [============================================================================================================>] 100%

Chrooting to Hive FS
[email protected]:/# export PATH="./:/hive/bin:/hive/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games"
[email protected]:/# echo “deb http://download.hiveos.farm/repo/binary/ /” > /etc/apt/sources.list.d/hiverepo.list
[email protected]:/# serverupgrade
Current version: [email protected]
Get:1 http://download.hiveos.farm/repo/binary InRelease [1724 B]
Get:2 http://download.hiveos.farm/repo/binary Packages [317 kB]
Fetched 318 kB in 0s (384 kB/s)
Reading package lists… Done


Reading package lists… Done
Building dependency tree
Reading state information… Done
hive-lib is already the newest version (0.6-05).
Recommended packages:
libgtk2.0-0 openbox menu obmenu lxterminal roxterm tint2 feh x11vnc fonts-inconsolata florence
The following NEW packages will be installed:
droptcpsock-dkms
The following packages will be upgraded:
hive hive-opt
2 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 5035 kB of archives.
After this operation, 29.7 kB of additional disk space will be used.
Get:1 http://download.hiveos.farm/repo/binary droptcpsock-dkms 1.2 [7032 B]
Get:2 http://download.hiveos.farm/repo/binary hive-opt 0.6-07 [311 kB]
Get:3 http://download.hiveos.farm/repo/binary hive 0.6-80 [4717 kB]
Fetched 5035 kB in 4s (1181 kB/s)
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
Selecting previously unselected package droptcpsock-dkms.
(Reading database … 52853 files and directories currently installed.)
Preparing to unpack …/droptcpsock-dkms_1.2_all.deb …
Unpacking droptcpsock-dkms (1.2) …
Preparing to unpack …/hive-opt_0.6-07_all.deb …
Unpacking hive-opt (0.6-07) over (0.6-05) …
Preparing to unpack …/archives/hive_0.6-80_all.deb …

Stopping miner
/hive/bin/miner: line 21: .: filename argument required
.: usage: . filename [arguments]
No miner set in config, will use default “claymore”
No miner screens found
Unpacking hive (0.6-80) over (0.6-56) …
Setting up droptcpsock-dkms (1.2) …
Loading new droptcpsock-1.2 DKMS files…
First Installation: checking all kernels…
dpkg: warning: version ‘-’ has bad syntax: version number does not start with digit
It is likely that 5.0.0-29-generic belongs to a chroot’s host
Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
modprobe: ERROR: …/libkmod/libkmod.c:586 kmod_search_moddep() could not open moddep file ‘/lib/modules/5.0.0-29-generic/modules.dep.bin’
modprobe: FATAL: Module droptcpsock not found in directory /lib/modules/5.0.0-29-generic
dpkg: error processing package droptcpsock-dkms (–configure):
subprocess installed post-installation script returned error exit status 1
Setting up hive-opt (0.6-07) …
dpkg: dependency problems prevent configuration of hive:
hive depends on droptcpsock-dkms (>= 1.2); however:
Package droptcpsock-dkms is not configured yet.

dpkg: error processing package hive (–configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
droptcpsock-dkms
hive
E: Sub-process /usr/bin/dpkg returned an error code (1)

Checking miners packages
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following package was automatically installed and is no longer required:
hive-miners-claymore-14.7
Use ‘apt autoremove’ to remove it.
The following additional packages will be installed:
hive-miners-claymore-15.0
The following NEW packages will be installed:
hive-miners-claymore-15.0
The following packages will be upgraded:
hive-miners-claymore
1 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
Need to get 4573 kB of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://download.hiveos.farm/repo/binary hive-miners-claymore-15.0 0.6-01 [4568 kB]
Get:2 http://download.hiveos.farm/repo/binary hive-miners-claymore 0.6-08 [5282 B]
Fetched 4573 kB in 3s (1170 kB/s)
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
Selecting previously unselected package hive-miners-claymore-15.0.
(Reading database … 52871 files and directories currently installed.)
Preparing to unpack …/hive-miners-claymore-15.0_0.6-01_all.deb …
Unpacking hive-miners-claymore-15.0 (0.6-01) …
Preparing to unpack …/hive-miners-claymore_0.6-08_all.deb …
Unpacking hive-miners-claymore (0.6-08) over (0.6-06) …
Setting up droptcpsock-dkms (1.2) …
Removing old droptcpsock-1.2 DKMS files…


Deleting module version: 1.2
completely from the DKMS tree.

Done.
Loading new droptcpsock-1.2 DKMS files…
First Installation: checking all kernels…
dpkg: warning: version ‘-’ has bad syntax: version number does not start with digit
It is likely that 5.0.0-29-generic belongs to a chroot’s host
Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
droptcpsock
modprobe: ERROR: …/libkmod/libkmod.c:586 kmod_search_moddep() could not open moddep file ‘/lib/modules/5.0.0-29-generic/modules.dep.bin’
modprobe: FATAL: Module droptcpsock not found in directory /lib/modules/5.0.0-29-generic
dpkg: error processing package droptcpsock-dkms (–configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of hive:
hive depends on droptcpsock-dkms (>= 1.2); however:
Package droptcpsock-dkms is not configured yet.

dpkg: error processing package hive (–configure):
dependency problems - leaving unconfigured
Setting up hive-miners-claymore-15.0 (0.6-01) …
Setting up hive-miners-claymore (0.6-08) …
Errors were encountered while processing:
droptcpsock-dkms
hive
E: Sub-process /usr/bin/dpkg returned an error code (1)

Checking miners version packages
Reading package lists… Done
Building dependency tree
Reading state information… Done
hive-miners-claymore-14.7 is already the newest version (0.6-01).
hive-miners-claymore-15.0 is already the newest version (0.6-01).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
Setting up droptcpsock-dkms (1.2) …
Removing old droptcpsock-1.2 DKMS files…


Deleting module version: 1.2
completely from the DKMS tree.

Done.
Loading new droptcpsock-1.2 DKMS files…
First Installation: checking all kernels…
dpkg: warning: version ‘-’ has bad syntax: version number does not start with digit
It is likely that 5.0.0-29-generic belongs to a chroot’s host
Building for architecture x86_64
Module build for the currently running kernel was skipped since the
kernel source for this kernel does not seem to be installed.
droptcpsock
modprobe: ERROR: …/libkmod/libkmod.c:586 kmod_search_moddep() could not open moddep file ‘/lib/modules/5.0.0-29-generic/modules.dep.bin’
modprobe: FATAL: Module droptcpsock not found in directory /lib/modules/5.0.0-29-generic
dpkg: error processing package droptcpsock-dkms (–configure):
subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of hive:
hive depends on droptcpsock-dkms (>= 1.2); however:
Package droptcpsock-dkms is not configured yet.

dpkg: error processing package hive (–configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
droptcpsock-dkms
hive
E: Sub-process /usr/bin/dpkg returned an error code (1)
Upgrade failed
[email protected]:/# echo 0 > /exitcode
[email protected]:/# exit

Hive FS upgrade complete

Create FS archive
^C25MiB 0:00:03 [ 427KiB/s] [>

Sorry for the long post.

I’ve ctrl + c to cancel the creation of FS archive.

I’m runnig Ubunto 18.04.3 LTS with all updates.

Thanks for helping.
Regards,
Bruno Morais

Hi,
i can see it was fixed with version [email protected]